import { KeyExchangeKeyPair } from './KeyExchangeKeyPair';
import { AsymmetricEncryptionType } from '@streamr/trackerless-network';
export declare class MLKEMKeyPair implements KeyExchangeKeyPair {
    private readonly privateKey;
    private readonly publicKey;
    private constructor();
    getPublicKey(): Buffer;
    getPrivateKey(): Buffer;
    getEncryptionType(): AsymmetricEncryptionType;
    static create(): MLKEMKeyPair;
}
